KeyServerImportTask.h
#ifndef GPGFRONTEND_KEYSERVERIMPORTTASK_H
#define GPGFRONTEND_KEYSERVERIMPORTTASK_H
#include "GpgFrontendUI.h"
namespace GpgFrontend::UI {
class KeyServerImportTask : public Thread::Task {
Q_OBJECT
public:
KeyServerImportTask(std::string keyserver_url,
std::vector<std::string> keyid);
signals:
void SignalKeyServerImportResult(QNetworkReply::NetworkError reply,
QByteArray buffer);
protected:
void run() override;
private slots:
void dealing_reply_from_server();
private:
std::string keyserver_url_;
std::vector<std::string> keyids_;
int result_count_ = 0;
QNetworkAccessManager *manager_;
QNetworkReply *reply_;
};
} // namespace GpgFrontend::UI
#endif // GPGFRONTEND_KEYSERVERIMPORTTASK_H
GpgFrontend::UI
Definition: FileReadTask.cpp:31
GpgFrontend::UI::KeyServerImportTask
Definition: KeyServerImportTask.h:33
GpgFrontend::UI::KeyServerImportTask::KeyServerImportTask
KeyServerImportTask(std::string keyserver_url, std::vector< std::string > keyid)
Construct a new Key Server Search Task object.
Definition: KeyServerImportTask.cpp:31
GpgFrontend::UI::KeyServerImportTask::SignalKeyServerImportResult
void SignalKeyServerImportResult(QNetworkReply::NetworkError reply, QByteArray buffer)
GpgFrontend::Thread::Task
Definition: Task.h:45